Subject: Re: [Last-Call] Last Call: <draft-carpenter-eligibility-expand-08.txt> (Additional Criteria for Nominating Committee Eligibility) to Experimental RFC

From: "Adrian Farrel" <[email-masked]>
Date: Sat, 5 Dec 2020 21:24:00 -0000

Hi,

I have read the most recent version of this document and support this
experiment. I like that it is scoped and has specific criteria for
evaluation as well as next steps.

A small wrinkle:
Section 3 lists the goals of the changes in criteria. I think the list is
fine, but maybe we should add something like:

*  Enable the selection of a 2021-22 NomCom when it is impossible
    for anyone to have attended three out of the last five IETF meetings
    in person.

Nit: There is some consistency between "NomCom" and "nomcom"

I checked the shepherd write-up and I wondered whether this has been shown
to the Secretariat to confirm that they would be able to perform the
necessary work to assess eligibility. It might be worth checking this before
signing off on the processes.

Cheers,
Adrian

-----Original Message-----
From: IETF-Announce <[email-masked]> On Behalf Of The IESG
Sent: 02 December 2020 15:44
To: IETF-Announce <[email-masked]>
Cc: [email-masked]
Subject: Last Call: <draft-carpenter-eligibility-expand-08.txt> (Additional
Criteria for Nominating Committee Eligibility) to Experimental RFC

The IESG has received a request from an individual submitter to consider the
following document: - 'Additional Criteria for Nominating Committee
Eligibility'
  <draft-carpenter-eligibility-expand-08.txt> as Experimental RFC

The IESG plans to make a decision in the next few weeks, and solicits final
comments on this action. Please send substantive comments to the
[email-masked] mailing lists by 2020-12-30. Exceptionally, comments may
be sent to [email-masked] instead. In either case, please retain the
beginning
of the Subject line to allow automated sorting.

Abstract

   This document defines a process experiment under RFC 3933 that
   temporarily updates the criteria for qualifying volunteers to
   participate in the IETF Nominating Committee.  It therefore also
   updates the criteria for qualifying signatories to a community recall
   petition.  The purpose is to make the criteria more flexible in view
   of increasing remote participation in the IETF and a reduction in
   face-to-face meetings.  The experiment is of fixed duration and will
   apply to one, or at most two, Nominating Committee cycles.  This
   document temporarily varies the rules in RFC 8713.

The file can be obtained via
https://datatracker.ietf.org/doc/draft-carpenter-eligibility-expand/

No IPR declarations have been submitted directly on this I-D.

_______________________________________________
IETF-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf-announce

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 6 Dec 2020 10:43:23 +1300

Hi Adrian,

Thanks, noted.

What we have checked is that software can check the proposed new criteria, thanks to Robert Sparks. But you're correct, somebody should check with the LLC and Secretariat. (I politely suggest that's probably better done by the AD.)

Regards
   Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 6 Dec 2020 11:29:43 +1300

(Switching to the appropriate lists)

On 06-Dec-20 11:14, Abdussalam Baryun wrote:
> 
> draft>p3>goals>
> - Ensure that those eligible are true "participants" with enough...)
> 
> AB> I think it is not explained the meaning of "true participant", or I don't think that this is defined in IETF. IETF participants are known by their WGs, so each participant can be known through WG lists and drafts.
> 
> AB>change: true "participant" <to> known "participant".

The important part of the sentence is "with enough current understanding of IETF practices and people to make informed decisions." So this is more than "known" participants.

I think it would better to simply write:
Ensure that those eligible have enough current understanding of IETF practices and people to make informed decisions.

Regards
    Brian

---

From: Abdussalam Baryun <[email-masked]>
Date: Sun, 6 Dec 2020 17:29:21 +0200

On Sun, Dec 6, 2020 at 12:29 AM Brian E Carpenter <
[email-masked]> wrote:

> > AB> I think it is not explained the meaning of "true participant", or I
> don't think that this is defined in IETF. IETF participants are known by
> their WGs, so each participant can be known through WG lists and drafts.
> >
> The important part of the sentence is "with enough current understanding
> of IETF practices and people to make informed decisions." So this is more
> than "known" participants.
>
> Ensure that those eligible have enough current understanding of IETF
> practices and people to make informed decisions.
>
>
 thanks,

Regards
AB

---

From: Alissa Cooper <[email-masked]>
Date: Sun, 6 Dec 2020 20:19:32 -0500

> On Dec 5, 2020, at 4:43 PM, Brian E Carpenter <[email-masked]> wrote:
> 
> Hi Adrian,
> 
> Thanks, noted.
> 

I did this before issuing the IETF last call.

Alissa

> -- 
> Eligibility-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/eligibility-discuss

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 7 Dec 2020 16:22:42 +1300

> I did this before issuing the IETF last call.

Kudos!
   Brian

---

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 7 Dec 2020 10:44:37 -0000

> I did this before issuing the IETF last call.

Brilliant. Thanks, Alissa.

Adrian

---

From: Russ Housley <[email-masked]>
Date: Wed, 9 Dec 2020 17:12:55 -0500

I have read the most recent version of this document, and I support this experiment.

I find this part of Section 2 confusing:

   The experiment will initially cover the IETF Nominating Committee
   cycle that begins in 2021.  As soon as the 2021-2022 Nominating
   Committee is seated, the IESG must consult the 2021-2022 Nominating
   Committee chair and the 2020-2021 Nominating Committee chair and
   publish a report on the results of the experiment.  Points to be
   considered are whether the experiment has produced a sufficiently
   large and diverse pool of individuals, and whether enough of those
   individuals have volunteered to produce a representative Nominating
   Committee with good knowledge of the IETF.  If possible, a comparison
   with results from the previous procedure (i.e., RFC 8713) should be
   made.

As soon as the next NomCom Chair is seated, the IESG is going to consent with them and Barbara about the results of the in-progress experiment.  At that point, next NomCom Chair will not have issued the call for volunteers, so the number of volunteers will not yet be known.  I suspect this is an off by one error, and this review it to happen as soon as the 2022-2023 NomCom Chair is named.

Nits:

s/nomcom/NomCom/

s/RFC editor/RFC Editor/

Thanks,
Russ

-----Original Message-----
From: IETF-Announce <[email-masked]> On Behalf Of The IESG
Sent: 02 December 2020 15:44
To: IETF-Announce <[email-masked]>
Cc: [email-masked]
Subject: Last Call: <draft-carpenter-eligibility-expand-08.txt> (Additional

Abstract

-- 
last-call mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/last-call

---

From: Ted Hardie <[email-masked]>
Date: Wed, 9 Dec 2020 14:51:32 -0800

On Wed, Dec 9, 2020 at 2:13 PM Russ Housley <[email-masked]> wrote:

> As soon as the next NomCom Chair is seated, the IESG is going to consent
> with them and Barbara about the results of the in-progress experiment.

"consent with" should be "consult with", yes?

Ted

> At that point, next NomCom Chair will not have issued the call for
> volunteers, so the number of volunteers will not yet be known.  I suspect
> this is an off by one error, and this review it to happen as soon as the
> 2022-2023 NomCom Chair is named.
>
> Nits:
>
> s/nomcom/NomCom/
>
> s/RFC editor/RFC Editor/
>
> Thanks,
> Russ
>

---

From: Russ Housley <[email-masked]>
Date: Wed, 9 Dec 2020 19:49:25 -0500

> On Dec 9, 2020, at 5:51 PM, Ted Hardie <[email-masked]> wrote:
> 
> On Wed, Dec 9, 2020 at 2:13 PM Russ Housley <[email-masked] <mailto:[email-masked]>> wrote:
> As soon as the next NomCom Chair is seated, the IESG is going to consent with them and Barbara about the results of the in-progress experiment. 
> 

correct.  Excuse the typo.

Russ

> 
> Ted
>  
> At that point, next NomCom Chair will not have issued the call for volunteers, so the number of volunteers will not yet be known.  I suspect this is an off by one error, and this review it to happen as soon as the 2022-2023 NomCom Chair is named.
> 
> Nits:
> 
> s/nomcom/NomCom/
> 
> s/RFC editor/RFC Editor/
> 
> Thanks,
> Russ
> 
> From: IETF-Announce <[email-masked] <mailto:[email-masked]>> On Behalf Of The IESG
> To: IETF-Announce <[email-masked] <mailto:[email-masked]>>
> Cc: [email-masked] <mailto:[email-masked]>
> [email-masked] <mailto:[email-masked]> mailing lists by 2020-12-30. Exceptionally, comments may
> be sent to [email-masked] <mailto:[email-masked]> instead. In either case, please retain the
> beginning
> https://datatracker.ietf.org/doc/draft-carpenter-eligibility-expand/ <https://datatracker.ietf.org/doc/draft-carpenter-eligibility-expand/>
> 
> 
> 
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/ietf-announce <https://www.ietf.org/mailman/listinfo/ietf-announce>
> 
> -- 
> last-call mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/last-call <https://www.ietf.org/mailman/listinfo/last-call>
> 
> -- 
> last-call mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/last-call <https://www.ietf.org/mailman/listinfo/last-call>

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 10 Dec 2020 14:44:21 +1300

Russ,

On 10-Dec-20 11:12, Russ Housley wrote:
> As soon as the next NomCom Chair is seated, 

No, you've misread it slightly. It says "As soon as the 2021-2022 Nominating *Committee* is seated" (emphasis added). Admittedly, that's before the 2021-22 NomCom Chair has actually chaired any meetings, so I wouldn't expect the consultation to be done instantly. Does that help?

> the IESG is going to consent with them and Barbara about the results of the in-progress experiment.  At that point, next NomCom Chair will not have issued the call for volunteers, so the number of volunteers will not yet be known.  I suspect this is an off by one error, and this review it to happen as soon as the 2022-2023 NomCom Chair is named.
> 
> Nits:

Noted.

Thanks
    Brian

---

From: Russ Housley <[email-masked]>
Date: Wed, 9 Dec 2020 22:06:23 -0500

> No, you've misread it slightly. It says "As soon as the 2021-2022 Nominating *Committee* is seated" (emphasis added). Admittedly, that's before the 2021-22 NomCom Chair has actually chaired any mee…

I see.  I did misread that one word.  To avoid others doing the same, would it be better to say: "Between Date X and Date Y, the IESG must consult with the current NomCom Chair and the Past NomCom Chais ..."

Russ

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 10 Dec 2020 20:40:24 +1300

> I see.  I did misread that one word.  To avoid others doing the same, would it be better to say: "Between Date X and Date Y, the IESG must consult with the current NomCom Chair and the Past NomCom…

Yes, we can certainly adjust the wording to avoid that misunderstanding.

Thanks again
   Brian

---

From: Christian Huitema <[email-masked]>
Date: Fri, 11 Dec 2020 12:02:18 -0800

Just a minor nit for an otherwise good looking draft: I have a hard time 
reading and understanding the Venn-diagrams-as-ascii-art in the 
"available data" appendix. Would it be possible to also provide the same 
data in tabular format?

-- Christian Huitema

On 12/2/2020 7:43 AM, The IESG wrote:
> be sent to [email-masked] instead. In either case, please retain the beginning

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 12 Dec 2020 11:51:45 +1300

Christian,

I did try that, before Carsten taught us how to do the Venn diagrams in ASCII. But the results didn't seem at all readable to me. Don't we want to encourage people to look at the HTML format these days?

Regards
   Brian

On 12-Dec-20 09:02, Christian Huitema wrote:
> Just a minor nit for an otherwise good looking draft: I have a hard time reading and understanding the Venn-diagrams-as-ascii-art in the "available data" appendix. Would it be possible to also provide the same data in tabular format?
> 
> -- Christian Huitema
>

---

From: Christian Huitema <[email-masked]>
Date: Fri, 11 Dec 2020 17:28:10 -0800

Maybe I am old school, I was looking at the TXT. The HTML provides us 
with circles instead of ASCII squares, and that's certainly prettier. 
And I think I understand now why I was confused. I was expecting a Venn 
diagram showing the intersections of methods 1, 2, and 3. Instead, 
Figures 1 and 2 are showing the intersection of method 1, (methods 2+3), 
and the 2020 volunteers list. I assume the point is to demonstrate that 
the new methods are a superset of the old one, but it appears to not be 
a complete superset since 1 volunteer is excluded. That would be worth a 
bit of explanation.

Figures 3 and 4 show the intersection of method 2 and 3 with "The 
discarded path via IESG and IAB service", shown as path "I". It took me 
some time to understand what that meant. I assume that at some point, 
there was a proposal to automatically qualify prior members of the IESG 
or IAB within some time horizon. I also assume that that was discussed 
at length on the mailing list and so appear sobvious to a number of 
readers of the draft. And I also assume that the diagrams are there to 
argue that "see, we don't need this IESG/IAB criteria, all relevant 
people are qualified via path 2 or 3 anyhow." Let's say that your text 
is a little bit dry, as it took me some time to fill in the blanks.

-- Christian Huitema

---

From: Brian Carpenter <[email-masked]>
Date: Sat, 12 Dec 2020 15:52:24 +1300

OK, we can make the explanation better, of course.

Regards
    Brian
    (via tiny screen & keyboard)

On Sat, 12 Dec 2020, 14:28 Christian Huitema, <[email-masked]> wrote:

> > I did try that, before Carsten taught us how to do the Venn diagrams in
> ASCII. But the results didn't seem at all readable to me. Don't we want to
> encourage people to look at the HTML format these days?
> >
> > Regards
> >     Brian
> >
> >> Just a minor nit for an otherwise good looking draft: I have a hard
> time reading and understanding the Venn-diagrams-as-ascii-art in the

---

From: Magnus Westerlund <[email-masked]>
Date: Fri, 18 Dec 2020 13:44:33 +0000

Hi,

So I have review the document and have some comments and questions.

A) Section 4, Path 2:
Path 2: Has been a Working Group Chair or Secretary within the 3 years prior
to the day the call for nomcom volunteers is sent to the community.

Am I correct that the datatracker database will be the data source used to
asses this criteria? Should that be explicitly mentioned?

Secondly, I think I will show up in this data set when it is run this summer
because I am currently listed as chair for TSVAREA, which is listed as group
but isn't a WG. Has this source of faults been considered?

) Section 4:

Path 3: Has been a listed author or editor (on the front page) of at least 2
IETF stream RFCs within the last 5 years prior to the day the call for
nomcom volunteers is sent to the community. An Internet-Draft that has been
approved by the IESG and is in the RFC Editor queue counts the same as a
published RFC (with the relevant date being the date the draft was added to
the RFC editor queue). So the 5 year timer extends back to the date 5 years
before the date when the call for nomcom volunteers is sent to the
community.

As I unfortunately have managed to write a document for various reasons
spent more than 5 years in Missref (C238). So if I interpret this correct,
assuming C238 is published prior to the call for volunteers next year I will
get approved for this, despite that the document are more than 5 years since
they entered the RFC-editor queue. I don't think this needs to be addressed
as it is a corner case and will affect very few. However, having a document
stay in the RFC-editor queue for a long time makes this rule apply for very
long time. I don't know how big the effect of this would be, but we have a
large set of C238 authors that will if this rule is used for the future have
their nomcom eligibility extend for another 5 years, even if they haven't
been active and participating by the publication of C238. 

Otherwise it looks good. 

Cheers

Magnus Westerlund

> Sent: den 2 december 2020 16:44
> comments on this action. Please send substantive comments to the last-
> [email-masked] mailing lists by 2020-12-30. Exceptionally, comments may be
> sent to [email-masked] instead. In either case, please retain the beginning
of
> the Subject line to allow automated sorting.
> 
> Abstract
> 
>

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 19 Dec 2020 09:08:39 +1300

> asses this criteria? Should that be explicitly mentioned?

Yes, and yes.

> but isn't a WG. Has this source of faults been considered?

It isn't in the list of active WGs though, so I don't think it's
a problem. Robert Sparks can comment definitively.

> been active and participating by the publication of C238. 

True, and I'm in C325 (178 weeks and counting) so me too! But I agree
that it's a corner case.

Thanks
    Brian

---

From: "Joel M. Halpern" <[email-masked]>
Date: Fri, 18 Dec 2020 15:20:41 -0500

I do not believe this document in any way removes the various 
disqualification criteria.  As such, is your question just about the 
statistics, or is there another issue that I am missing?

Yours,
Joel

---

From: Magnus Westerlund <[email-masked]>
Date: Mon, 21 Dec 2020 11:33:49 +0000

> statistics, or is there another issue that I am missing?

So the second point on A) is a question about the statistics and current test
implementation that arrived at this data. I think the specification is clear
that it is WG chairs, and not chairs of other groups that are listed in the data
tracker. 

On my second main bullet, it is mostly a question if this really was the
intention considering that this will impact a number of people that are trapped
in clusters. It will likely lead to a small set of individuals being qualified
for a longer period since the time they where active in defining and getting
their document approved. From me that could have been a criteria that wouldn't
have been affected by C238 etc. However, I don't know how many others like me
that it will not matter for as I will qualify anyway even if it was 5-years
since IESG approval, this due to other documents, and will qualify on path 1
also. Do you know how many people that are impacted by this?

So for the experiment I think this can be skipped, however I think long term if
these rules would be the basis for new permanent rules one should understand how
much these missref cluster impacts the set of eligible persons. 

Cheers

Magnus Westerlund
(3 months left as AD)

> > > Subject: Last Call: <draft-carpenter-eligibility-expand-08.txt>
> > 
> > (Additional
> > > The IESG has received a request from an individual submitter to consider
> > 
> > the
> > > The IESG plans to make a decision in the next few weeks, and solicits
> > 
> > final

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 22 Dec 2020 11:35:48 +1300

> much these missref cluster impacts the set of eligible persons.

Given that the relevant data (when a draft was approved and when the RFC was
published) will be available, the evaluation of the experiment could certainly
cover this point.

Regards
   Brian

---

From: Magnus Westerlund <[email-masked]>
Date: Tue, 22 Dec 2020 09:26:34 +0000

> published) will be available, the evaluation of the experiment could certainly

Yes, that would be good to actually evaluate. And I guess unless we explicitly
note this concern in the document it might be forgotten next year when it should
be evaluated. 

Cheers

Magnus

---

From: John C Klensin <[email-masked]>
Date: Wed, 30 Dec 2020 09:38:30 -0500

Hi.
I've done a final (i.e., last day of Last Call) review of this
document and skimmed through the comments since the Last Call
started.  I think part of it is a bit of a fiction: if at least
some of IETF 111 - 113 are nominally f2f [1], I believe that the
controversy about whether to include remote participants
mentioned in Section 4.1 and provided for in Section 2, will be
sufficiently active to require some considerable rewriting and
IETF Last Call, not just an IESG statement after a presumably
harmonious discussion.  However, I think that question can
safely be left to the discussions after the 2021-2022 Nomcom is
seated.  Hence I think the document should probably be approved
as-is rather than taking up more time now, allowing the
community to most forward either either substantive work or the
next procedural food-fight.

    john

[1] "Nominally" because, like many others, I believe that, when
we resume f2f meetings, there will be a relatively slow ramp-up
of attendance with many of those who were participating in
person prior to COVID-19 remaining remote for several meetings.

--On Wednesday, December 2, 2020 07:43 -0800 The IESG
<[email-masked]> wrote:

> The IESG has received a request from an individual submitter
> to consider the following document: - 'Additional Criteria for
> Nominating Committee Eligibility'
> The IESG plans to make a decision in the next few weeks, and
> solicits final comments on this action. Please send
> substantive comments to the [email-masked] mailing lists
> by 2020-12-30. Exceptionally, comments may be sent to
> [email-masked] instead. In either case, please retain the
> beginning of the Subject line to allow automated sorting.